### Method

# Mtk Rectangle intersect

#### Declaration [src]

    gboolean
    mtk_rectangle_intersect (
      const MtkRectangle* src1,
      const MtkRectangle* src2,
      MtkRectangle* dest
    )

#### Description [src]

Find the intersection between the two rectangles.

#### Parameters

`src2`

  Type: `MtkRectangle`

  Another `MtkRectangle`.

  The data is owned by the caller of the method.

`dest`

  Type: `MtkRectangle`

  An empty `MtkRectangle`, to be filled with the coordinates of the intersection.

  The argument will be set by the function.
  The returned data is owned by the instance.

#### Return value

Type: `gboolean`

TRUE is some intersection exists and is not degenerate, FALSE otherwise.